0 Replies Latest reply on Jan 25, 2013 2:15 AM by sjpt

    If ADE V2.0 doesn't work, try v1.7.2 instead

    sjpt Level 4

      I sometimes feel like a broken record on here suggesting people use V1.7.2 instead of V2.0.

      However, in an alarming number of cases it seems to be the solution (or at least, to be a solution).

       

      V2.0 has issues with

      1. Operating systems (won't install on older XP, awkward install on Vista, and in some cases installs but does not run)
      2. Devices; there are posts involving Sony, Nook and Kobo devices resolved by 1.7.2
      3. Overdrive; in some cases V2.0 works fine with a device for free and bought books, but does not work correctly with Overdrive books.
      4. Deleting books that had been happily downloaded and read using V1.7.2
        (I feel particularly sorry for the poster of http://forums.adobe.com/thread/1140605?tstart=0 )

      All of these are regression issues; things that used to work but that V2.0 broke.

       

      So:

       

      Users:

      • If you find problems with V2.0, try V1.7.2 instead  (at least installation and reinstallation is pretty quick).

      Version 1.7.2, it is a little difficult to find, available on Adobe site for Windows and for Mac.

      http://helpx.adobe.com/digital-editions/kb/cant-install-digital-editions.html

      The forum software is sometimes corrupting the link above.  There shouldn't be a blank in 'editio ns.html'.  The following redirects to the same page: http://tinyurl.com/diged172

       

       

      Adobe: 

      • Are the issues raised on the forum automatically passed on to the development team?
      • and to the test team (if there is one, scant indication of any testing on V2.0)?
      • Is there a V2.0.1 coming pretty soon to fix all the regression bugs?
        NO new features until the old ones work, please.